#pragma once
#include "config.h"
#ifndef DISABLE_VISUALIZER

#include "utility/buffer.hpp"
#include <chrono>
#include "mpd/client.h"
#include "signal_processing/fft.hpp"
#include "spdlog/spdlog.h"
#include "ergodox.hpp"
#include "commands.h"

namespace Visualizer {

	const size_t width = 10;
	const size_t height = BOTTOM_SKIP + KB_RESOLUTION + TOP_SKIP;

	void cleanup();
	void init();
	void fn(Ergodox &Dox);
}

#endif